oracle.pg.nosql

## Class OracleElement

- java.lang.Object
- - oracle.pg.nosql.OracleElement

- All Implemented Interfaces:
    Element, OracleElementBase
  Direct Known Subclasses:
    OracleEdge, OracleVertex

      public abstract class OracleElement
      extends Object
      implements OracleElementBase

  This class implements the Blueprints Element interface on top of a supported backend database.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OracleElement()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `forceRefresh()` Re-read the attributes about this graph element from the database.
    `String` | `getAttributes()` Returns a String of all the Key, Value Pairs.
    `Long` | `getId()` Return the identifier of this element.
    `Object` | `getProperty(String key)` Return the value associated with the provided key.
    `OraclePropertyGraph` | `getPropertyGraph()` Gets the property graph instance associated to this element
    `Set<String>` | `getPropertyKeys()` Return all the keys associated with the element.
    `boolean` | `isPartial()` Returns TRUE if this object is partially constructured.
    `void` | `refresh()` Re-read the attributes about this graph element from the database if this element is only partially constructed.
    `Object` | `removeProperty(String key)` Un-assigns a key/value property from the element.
    `void` | `setPartial(boolean partial)` Set a flag to denote if this graph element is only partially constructed.
    `void` | `setProperty(String key, Object value)` Assign a key/value property to the element.
    `void` | `setProperty(String key, Object value, boolean skipQueue)` Assign a key/value property to the element.
    `void` | `setProperty(String key, Object value, boolean skipQueue, boolean skipLucene)` Assign a key/value property to the element.
    `void` | `setPropertyCommon(String key, Object value, boolean skipQueue)` Assign a key/value property to the element.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.tinkerpop.blueprints.Element

      `remove`

- - ### Constructor Detail

    - #### OracleElement

          public OracleElement()

  - ### Method Detail

    - #### forceRefresh

          public abstract void forceRefresh()
                                     throws Exception

      Re-read the attributes about this graph element from the database.
      Specified by:
        `forceRefresh` in interface `OracleElementBase`
      Throws:
        `Exception`

    - #### getAttributes

          public String getAttributes()

      Returns a String of all the Key, Value Pairs.

    - #### getId

          public Long getId()

      Return the identifier of this element.
      Specified by:
        `getId` in interface `Element`

    - #### getProperty

          public Object getProperty(String key)

      Return the value associated with the provided key.
      Specified by:
        `getProperty` in interface `Element`

    - #### getPropertyGraph

          public OraclePropertyGraph getPropertyGraph()

      Gets the property graph instance associated to this element
      Returns:
        a OraclePropertyGraph object

    - #### getPropertyKeys

          public Set<String> getPropertyKeys()

      Return all the keys associated with the element.
      Specified by:
        `getPropertyKeys` in interface `Element`

    - #### isPartial

          public boolean isPartial()

      Returns TRUE if this object is partially constructured. For example, a vertex with just an ID but not the K/V pairs. Or an edge with just an ID but not the in/out vertices or edge label.

    - #### refresh

          public void refresh()

      Re-read the attributes about this graph element from the database if this element is only partially constructed.

    - #### removeProperty

          public Object removeProperty(String key)

      Un-assigns a key/value property from the element.
      Specified by:
        `removeProperty` in interface `Element`

    - #### setPartial

          public void setPartial(boolean partial)

      Set a flag to denote if this graph element is only partially constructed. For example, a vertex with just an ID but not the K/V pairs. Or an edge with just an ID but not the in/out vertices or edge label.
      Specified by:
        `setPartial` in interface `OracleElementBase`
      Parameters:
        `partial` - true if this graph element is only partially constructed.

    - #### setProperty

          public void setProperty(String key,
                         Object value)

      Assign a key/value property to the element.
      Specified by:
        `setProperty` in interface `Element`

    - #### setProperty

          public void setProperty(String key,
                         Object value,
                         boolean skipQueue)

      Assign a key/value property to the element.
      Specified by:
        `setProperty` in interface `OracleElementBase`
      Parameters:
        `key` - key of the attribute (K/V)
        `value` - value of the attribute (K/V)
        `skipQueue` - when true, then this K/V pair change will not cause this Element to be put in the update queue.

    - #### setProperty

          public void setProperty(String key,
                         Object value,
                         boolean skipQueue,
                         boolean skipLucene)

      Assign a key/value property to the element.
      Parameters:
        `key` - key of the attribute (K/V)
        `value` - value of the attribute (K/V)
        `skipQueue` - when true, then this K/V pair change will not cause this Element to be put in the update queue.
        `skipLucene` - when true, then this K/V pair will not be indexed

    - #### setPropertyCommon

          public void setPropertyCommon(String key,
                               Object value,
                               boolean skipQueue)

      Assign a key/value property to the element.
      Parameters:
        `key` - key of an attribute (K/V pair)
        `value` - value of an attribute (K/V pair)
        `skipQueue` - when true, then this K/V pair change will not cause this Element to be put in the update queye.

Copyright © 2015 Oracle and/or its afflilates. All Rights Reserved.